Subject: Re: Tc bug (kernel crash) more info

From: Jarek Poplawski <[email-masked]>
Date: Thu, 30 Aug 2007 14:37:51 +0200

On Thu, Aug 30, 2007 at 01:09:11PM +0400, Badalian Vyacheslav wrote:
> Jarek Poplawski ??????????:
...
> >On the other hand disabling local interrupts shouldn't be enough here,
> >so it's really strange... Did you get this remotely? Are you sure LOC
> >only? (Anyway this 2.6.23-rc4 should be interesting.)
...
> Only LOC changes... icmp answer = 50-70ms... after 1-2 hours traffic 
> level is down and SI on CPU0 and CPU2 change to above 50%. ksoftirqd 
> free CPU usage. I have this bug 3-4 times in week. If you need info what 
> i can see only in bug still processing - i may try get this info for you.

Any additional info could be helpful. I'm not sure if all these
computers do similar htb processing, or it's another problem?
As I've written before htb before 2.6.23-rc1 has a problem with
timer lockup during qdisc_destroy, so softirqs would be hit.
If it's htb's fault 2.6.23-rc4 or my testing patch should help.

I try to find in htb code another weak points. BTW, if during
such lockups any processes are killed 'by hand' etc., without
restarting the whole system, please let us know.

> maybe help:
> 
> 1U server INTEL, mb se7501w2
> 
> nat-new ~ # lspci

lspci -v (or -vv should be more usable - but with dmesg at least)

Jarek P.